extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de colores"
    - var CabeceraListado = ["Color", "Descripción"]
    - var CantidadListado = "{{ tColores.length }}"
    - var TituloDatos = "Detalles de colores"
    - var TamanoColeccion = "tColores.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tColorFor of tColores | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Color_Eliminar(tColorFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Color(tColorFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tColorFor.Codcolor }}
        td
            h6.text-xs.text-nowrap {{ tColorFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-color-cabecera([(Color)]="tColorActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          div.Barra
            div.Barra--Contenedor
              ul.Barra--Contenedor-Navegacion
                li.nav-item
                  a(href="#", (click)="PorImagen()", [ngClass]="{'disabled' : tCargaPorImg===true}").nav-link
                    span.fas.fa-image.mr-2
                    span Por Imagen
                li.nav-item
                  a(href="#", (click)="PorPaleta()", [ngClass]="{'disabled' : tCargaPorImg===false}").nav-link
                    span.fas.fa-swatchbook.mr-2
                    span Por Paleta
          app-fw-color-imagen(*ngIf="tCargaPorImg",
                              (AgregarColor)="AgregarHexadecimal($event)")
          app-fw-color-paleta(*ngIf="!tCargaPorImg",
                              (AgregarColor)="AgregarHexadecimal($event)")
          app-fw-color-hexadecimales([(Hexadecimales)]="tColorActual.LHexadecimales",
                                    (EliminarColor)="EliminarHexadecimal($event)")
